ServerEvents.recipes(event => {
    event.remove({id: 'botania:apothecary_forest'})
    event.remove({id: 'botania:apothecary_forest'})
    event.remove({id: 'botania:apothecary_plains'})
    event.remove({id: 'botania:apothecary_mountain'})
    event.remove({id: 'botania:apothecary_fungal'})
    event.remove({id: 'botania:apothecary_swamp'})
    event.remove({id: 'botania:apothecary_desert'})
    event.remove({id: 'botania:apothecary_taiga'})
    event.remove({id: 'botania:apothecary_mesa'})
    event.remove({id: 'botania:apothecary_mossy'})
    event.remove({id: 'botania:apothecary_deepslate'})
    event.remove({id: 'botania:apothecary_livingrock'})
    event.remove({id: 'botania:apothecary_default'})
    event.remove({id: 'botania:mana_pylon'})
    event.remove({id: 'botania:natura_pylon'})
    event.remove({id: 'botania:pure_daisy/livingrock'})
    event.remove({id: 'botania:pure_daisy/livingwood'})
    event.remove({id: 'botania:petal_apothecary/pure_daisy'})
    event.remove({id: 'botania:mana_infusion/manasteel'})
    event.remove({id: 'botania:mana_infusion/mana_powder_dye'})
    event.remove({id: 'botania:mana_infusion/mana_pearl'})
    event.remove({id: 'botania:mana_infusion/mana_string'})
    event.remove({id: 'botania:mana_infusion/mana_diamond'})
    event.remove({id: 'botania:mana_infusion/mana_diamond_block'})
    event.remove({id: 'botania:mana_infusion/manasteel_block'})
    event.remove({id: 'botania:fertilizer_dye'})
    event.remove({id: 'botanicalextramachinery:catalyst_pattern'})
    event.remove({id: 'botanicalextramachinery:catalyst_mana_infinity'})
})

ServerEvents.recipes(event => {
    //Petal Apothecary
    event.shaped('botania:apothecary_default',
    ['121',' 3 ','333'], {
        1: '#forge:ingots/fireite', 
        2: '#botania:petals',
        3: 'pneumaticcraft:reinforced_stone'
    }).id('botania:apothecary_default')

    //Mana Pylon
    event.shaped('botania:mana_pylon',
    [' 1 ','232',' 1 '], {
        1: 'botania:mana_pearl', 
        2: '#forge:ingots/manasteel',
        3: '#forge:gems/mana_diamond'
    }).id('botania:mana_pylon')

    //Natura Pylon
    event.shaped('botania:natura_pylon',
    [' 1 ','121',' 3 '], {
        1: '#forge:ingots/terrasteel', 
        2: 'botania:mana_pylon',
        3: 'enigmaticlegacy:cosmic_heart'
    }).id('botania:natura_pylon')

    //Basic Catalyst
    event.shaped('botanicalextramachinery:catalyst_pattern',
    [' 1 ','232',' 1 '], {
        1: '#forge:ingots/terrasteel',
        2: 'botania:dragonstone',
        3: '#botania:petals'
    }).id('botanicalextramachinery:catalyst_pattern')

    //Infinity Mana Catalyst
    event.shaped('botanicalextramachinery:catalyst_mana_infinity',
    ['121','232','121'], {
        1: 'botanicalextramachinery:crimson_spark',
        2: 'botanicalextramachinery:crimson_dragonstone_block',
        3: 'botania:creative_pool'
    }).id('botanicalextramachinery:catalyst_mana_infinity')

    //Livingrock
    event.custom({
        "type": "botania:pure_daisy",
        "input": {
          "type": "block",
          "block": "pneumaticcraft:reinforced_stone"
        },
        "output": {
          "name": "botania:livingrock"
        }
      }).id('botania:livingrock')

    //Livingwood
    event.custom({
        "type": "botania:pure_daisy",
        "input": {
          "type": "block",
          "block": "naturesaura:ancient_log"
        },
        "output": {
          "name": "botania:livingwood"
        }
    }).id('botania:livingwood')

    //Band of Aura -> Gaia Band of Aura
    event.replaceInput(
        { mod: 'botanicalmachinery' }, // Arg 1: the filter
        'botania:aura_ring_greater',            // Arg 2: the item to replace
        'mythicbotany:mana_ring_greatest'         // Arg 3: the item to replace it with
    ) 

    //Pure Daisy
    event.recipes.botania.petal_apothecary("botania:pure_daisy", ["#botania:petals/white", "#botania:petals/white", "#botania:petals/white", "#botania:petals/white", "naturesaura:gold_fiber", "naturesaura:gold_fiber", "naturesaura:gold_fiber", "naturesaura:gold_fiber"]).id('botania:petal_apothecary/pure_daisy')

    //Mana Steel
    event.recipes.botania.mana_infusion("#forge:ingots/manasteel", "#forge:ingots/ludicrite", 3000).id('botania:mana_infusion/manasteel')
    //Mana Pearl
    event.recipes.botania.mana_infusion("botania:mana_pearl", "cataclysm:abyss_eye", 6000).id('botania:mana_infusion/mana_pearl')
    //Mana String
    event.recipes.botania.mana_infusion("botania:mana_string", "#forge:fiber_hemp", 5000).id('botania:mana_infusion/mana_string')
    //Mana Diamond
    event.recipes.botania.mana_infusion("botania:mana_diamond", "rftoolsbase:infused_diamond", 10000).id('botania:mana_infusion/mana_diamond')
    //Mana Diamond Block
    event.recipes.botania.mana_infusion("botania:manasteel_block", "#forge:storage_blocks/ludicrite", 10000).id('botania:mana_infusion/manasteel_block')

    //Floral Fertilizer
    event.custom({
      "type": "rats:archeologist",
      "count": 1,
      "ingredient": {
        "item": "minecraft:bone_meal"
      },
      "result": "botania:fertilizer"
    })
})